$ErrorActionPreference = 'Stop';

$packageName= 'invantive-bridge-connectors-power-bi'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20PowerBI-17.11.9-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20PowerBI-17.11.9-BETA.msi'
  softwareName = 'Invantive Bridge Connectors for PowerBI'
  checksum = 'C051C619BA4E6FE0449A02EA81B1DC805C1078311C045985427B72EF326B14D9'
  checksumType = 'sha256'
  checksum64 = 'C051C619BA4E6FE0449A02EA81B1DC805C1078311C045985427B72EF326B14D9'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-bridge-connectors-power-bi-17.11.9-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
